import request from "@/utils/request";

// 查询列表  /card/password/list
export function getList(query) {
  return request({
    url: "/card/password/list",
    method: "get",
    params: query,
  });
}

// 查询详情  /card/password/{id}
export function getDetail(id) {
  return request({
    url: `/card/password/${id}`,
    method: "get",
  });
}

// 新增  /card/coupons
export function add(data) {
  return request({
    url: "/card/password",
    method: "post",
    data,
  });
}

// 修改
export function update(data) {
  return request({
    url: "/card/password",
    method: "put",
    data,
  });
}

// 删除
export function del(ids) {
  return request({
    url: `/card/password/${ids}`,
    method: "delete",
  });
}
